source: longrun_tests/Makefile.in @ d65f92c

ADTarm-ehast-experimentalenumforall-pointer-decayjacob/cs343-translationjenkins-sandboxnew-astnew-ast-unique-exprpthread-emulationqualifiedEnum
Last change on this file since d65f92c was d65f92c, checked in by Thierry Delisle <tdelisle@…>, 5 years ago

Tests almost work, the only issue left is using -E and -CFA together

  • Property mode set to 100644
File size: 31.4 KB
Line 
1# Makefile.in generated by automake 1.15 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17######################## -*- Mode: Makefile-Automake -*- ######################
18###############################################################################
19VPATH = @srcdir@
20am__is_gnu_make = { \
21  if test -z '$(MAKELEVEL)'; then \
22    false; \
23  elif test -n '$(MAKE_HOST)'; then \
24    true; \
25  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
26    true; \
27  else \
28    false; \
29  fi; \
30}
31am__make_running_with_option = \
32  case $${target_option-} in \
33      ?) ;; \
34      *) echo "am__make_running_with_option: internal error: invalid" \
35              "target option '$${target_option-}' specified" >&2; \
36         exit 1;; \
37  esac; \
38  has_opt=no; \
39  sane_makeflags=$$MAKEFLAGS; \
40  if $(am__is_gnu_make); then \
41    sane_makeflags=$$MFLAGS; \
42  else \
43    case $$MAKEFLAGS in \
44      *\\[\ \   ]*) \
45        bs=\\; \
46        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
47          | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
48    esac; \
49  fi; \
50  skip_next=no; \
51  strip_trailopt () \
52  { \
53    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
54  }; \
55  for flg in $$sane_makeflags; do \
56    test $$skip_next = yes && { skip_next=no; continue; }; \
57    case $$flg in \
58      *=*|--*) continue;; \
59        -*I) strip_trailopt 'I'; skip_next=yes;; \
60      -*I?*) strip_trailopt 'I';; \
61        -*O) strip_trailopt 'O'; skip_next=yes;; \
62      -*O?*) strip_trailopt 'O';; \
63        -*l) strip_trailopt 'l'; skip_next=yes;; \
64      -*l?*) strip_trailopt 'l';; \
65      -[dEDm]) skip_next=yes;; \
66      -[JT]) skip_next=yes;; \
67    esac; \
68    case $$flg in \
69      *$$target_option*) has_opt=yes; break;; \
70    esac; \
71  done; \
72  test $$has_opt = yes
73am__make_dryrun = (target_option=n; $(am__make_running_with_option))
74am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
75pkgdatadir = $(datadir)/@PACKAGE@
76pkgincludedir = $(includedir)/@PACKAGE@
77pkglibdir = $(libdir)/@PACKAGE@
78pkglibexecdir = $(libexecdir)/@PACKAGE@
79am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
80install_sh_DATA = $(install_sh) -c -m 644
81install_sh_PROGRAM = $(install_sh) -c
82install_sh_SCRIPT = $(install_sh) -c
83INSTALL_HEADER = $(INSTALL_DATA)
84transform = $(program_transform_name)
85NORMAL_INSTALL = :
86PRE_INSTALL = :
87POST_INSTALL = :
88NORMAL_UNINSTALL = :
89PRE_UNINSTALL = :
90POST_UNINSTALL = :
91build_triplet = @build@
92host_triplet = @host@
93subdir = longrun_tests
94ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
95am__aclocal_m4_deps = $(top_srcdir)/automake/libtool.m4 \
96        $(top_srcdir)/automake/ltoptions.m4 \
97        $(top_srcdir)/automake/ltsugar.m4 \
98        $(top_srcdir)/automake/ltversion.m4 \
99        $(top_srcdir)/automake/lt~obsolete.m4 \
100        $(top_srcdir)/automake/cfa.m4 $(top_srcdir)/configure.ac
101am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
102        $(ACLOCAL_M4)
103DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
104mkinstalldirs = $(install_sh) -d
105CONFIG_HEADER = $(top_builddir)/config.h
106CONFIG_CLEAN_FILES =
107CONFIG_CLEAN_VPATH_FILES =
108AM_V_P = $(am__v_P_@AM_V@)
109am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
110am__v_P_0 = false
111am__v_P_1 = :
112AM_V_GEN = $(am__v_GEN_@AM_V@)
113am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
114am__v_GEN_0 = @echo "  GEN     " $@;
115am__v_GEN_1 =
116AM_V_at = $(am__v_at_@AM_V@)
117am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
118am__v_at_0 = @
119am__v_at_1 =
120SOURCES =
121DIST_SOURCES =
122am__can_run_installinfo = \
123  case $$AM_UPDATE_INFO_DIR in \
124    n|no|NO) false;; \
125    *) (install-info --version) >/dev/null 2>&1;; \
126  esac
127am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
128am__tty_colors_dummy = \
129  mgn= red= grn= lgn= blu= brg= std=; \
130  am__color_tests=no
131am__tty_colors = { \
132  $(am__tty_colors_dummy); \
133  if test "X$(AM_COLOR_TESTS)" = Xno; then \
134    am__color_tests=no; \
135  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
136    am__color_tests=yes; \
137  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
138    am__color_tests=yes; \
139  fi; \
140  if test $$am__color_tests = yes; then \
141    red='[0;31m'; \
142    grn='[0;32m'; \
143    lgn='[1;32m'; \
144    blu='[1;34m'; \
145    mgn='[0;35m'; \
146    brg='[1m'; \
147    std='[m'; \
148  fi; \
149}
150am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
151am__vpath_adj = case $$p in \
152    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
153    *) f=$$p;; \
154  esac;
155am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
156am__install_max = 40
157am__nobase_strip_setup = \
158  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
159am__nobase_strip = \
160  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
161am__nobase_list = $(am__nobase_strip_setup); \
162  for p in $$list; do echo "$$p $$p"; done | \
163  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
164  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
165    if (++n[$$2] == $(am__install_max)) \
166      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
167    END { for (dir in files) print dir, files[dir] }'
168am__base_list = \
169  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
170  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
171am__uninstall_files_from_dir = { \
172  test -z "$$files" \
173    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
174    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
175         $(am__cd) "$$dir" && rm -f $$files; }; \
176  }
177am__recheck_rx = ^[     ]*:recheck:[    ]*
178am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
179am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
180# A command that, given a newline-separated list of test names on the
181# standard input, print the name of the tests that are to be re-run
182# upon "make recheck".
183am__list_recheck_tests = $(AWK) '{ \
184  recheck = 1; \
185  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
186    { \
187      if (rc < 0) \
188        { \
189          if ((getline line2 < ($$0 ".log")) < 0) \
190            recheck = 0; \
191          break; \
192        } \
193      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
194        { \
195          recheck = 0; \
196          break; \
197        } \
198      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
199        { \
200          break; \
201        } \
202    }; \
203  if (recheck) \
204    print $$0; \
205  close ($$0 ".trs"); \
206  close ($$0 ".log"); \
207}'
208# A command that, given a newline-separated list of test names on the
209# standard input, create the global log from their .trs and .log files.
210am__create_global_log = $(AWK) ' \
211function fatal(msg) \
212{ \
213  print "fatal: making $@: " msg | "cat >&2"; \
214  exit 1; \
215} \
216function rst_section(header) \
217{ \
218  print header; \
219  len = length(header); \
220  for (i = 1; i <= len; i = i + 1) \
221    printf "="; \
222  printf "\n\n"; \
223} \
224{ \
225  copy_in_global_log = 1; \
226  global_test_result = "RUN"; \
227  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
228    { \
229      if (rc < 0) \
230         fatal("failed to read from " $$0 ".trs"); \
231      if (line ~ /$(am__global_test_result_rx)/) \
232        { \
233          sub("$(am__global_test_result_rx)", "", line); \
234          sub("[        ]*$$", "", line); \
235          global_test_result = line; \
236        } \
237      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
238        copy_in_global_log = 0; \
239    }; \
240  if (copy_in_global_log) \
241    { \
242      rst_section(global_test_result ": " $$0); \
243      while ((rc = (getline line < ($$0 ".log"))) != 0) \
244      { \
245        if (rc < 0) \
246          fatal("failed to read from " $$0 ".log"); \
247        print line; \
248      }; \
249      printf "\n"; \
250    }; \
251  close ($$0 ".trs"); \
252  close ($$0 ".log"); \
253}'
254# Restructured Text title.
255am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
256# Solaris 10 'make', and several other traditional 'make' implementations,
257# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
258# by disabling -e (using the XSI extension "set +e") if it's set.
259am__sh_e_setup = case $$- in *e*) set +e;; esac
260# Default flags passed to test drivers.
261am__common_driver_flags = \
262  --color-tests "$$am__color_tests" \
263  --enable-hard-errors "$$am__enable_hard_errors" \
264  --expect-failure "$$am__expect_failure"
265# To be inserted before the command running the test.  Creates the
266# directory for the log if needed.  Stores in $dir the directory
267# containing $f, in $tst the test, in $log the log.  Executes the
268# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
269# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
270# will run the test scripts (or their associated LOG_COMPILER, if
271# thy have one).
272am__check_pre = \
273$(am__sh_e_setup);                                      \
274$(am__vpath_adj_setup) $(am__vpath_adj)                 \
275$(am__tty_colors);                                      \
276srcdir=$(srcdir); export srcdir;                        \
277case "$@" in                                            \
278  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
279    *) am__odir=.;;                                     \
280esac;                                                   \
281test "x$$am__odir" = x"." || test -d "$$am__odir"       \
282  || $(MKDIR_P) "$$am__odir" || exit $$?;               \
283if test -f "./$$f"; then dir=./;                        \
284elif test -f "$$f"; then dir=;                          \
285else dir="$(srcdir)/"; fi;                              \
286tst=$$dir$$f; log='$@';                                 \
287if test -n '$(DISABLE_HARD_ERRORS)'; then               \
288  am__enable_hard_errors=no;                            \
289else                                                    \
290  am__enable_hard_errors=yes;                           \
291fi;                                                     \
292case " $(XFAIL_TESTS) " in                              \
293  *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
294    am__expect_failure=yes;;                            \
295  *)                                                    \
296    am__expect_failure=no;;                             \
297esac;                                                   \
298$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
299# A shell command to get the names of the tests scripts with any registered
300# extension removed (i.e., equivalently, the names of the test logs, with
301# the '.log' extension removed).  The result is saved in the shell variable
302# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
303# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
304# since that might cause problem with VPATH rewrites for suffix-less tests.
305# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
306am__set_TESTS_bases = \
307  bases='$(TEST_LOGS)'; \
308  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
309  bases=`echo $$bases`
310RECHECK_LOGS = $(TEST_LOGS)
311AM_RECURSIVE_TARGETS = check recheck
312TEST_SUITE_LOG = test-suite.log
313TEST_EXTENSIONS = @EXEEXT@ .test
314LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
315LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
316am__set_b = \
317  case '$@' in \
318    */*) \
319      case '$*' in \
320        */*) b='$*';; \
321          *) b=`echo '$@' | sed 's/\.log$$//'`; \
322       esac;; \
323    *) \
324      b='$*';; \
325  esac
326am__test_logs1 = $(TESTS:=.log)
327am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
328TEST_LOGS = $(am__test_logs2:.test.log=.log)
329TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/automake/test-driver
330TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
331        $(TEST_LOG_FLAGS)
332am__DIST_COMMON = $(srcdir)/Makefile.in \
333        $(top_srcdir)/automake/test-driver $(top_srcdir)/src/cfa.make
334DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
335ACLOCAL = @ACLOCAL@
336AMTAR = @AMTAR@
337AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
338AR = @AR@
339AUTOCONF = @AUTOCONF@
340AUTOHEADER = @AUTOHEADER@
341AUTOMAKE = @AUTOMAKE@
342AWK = @AWK@
343BUILD_IN_TREE_FLAGS = @BUILD_IN_TREE_FLAGS@
344CC = @CC@
345CCAS = @CCAS@
346CCASDEPMODE = @CCASDEPMODE@
347CCASFLAGS = @CCASFLAGS@
348CCDEPMODE = @CCDEPMODE@
349CFACC = @CFACC@
350CFACPP = @CFACPP@
351CFA_BACKEND_CC = @CFA_BACKEND_CC@
352CFA_BINDIR = @CFA_BINDIR@
353CFA_FLAGS = @CFA_FLAGS@
354CFA_INCDIR = @CFA_INCDIR@
355CFA_LIBDIR = @CFA_LIBDIR@
356CFA_NAME = @CFA_NAME@
357CFA_PREFIX = @CFA_PREFIX@
358CFLAGS = @CFLAGS@
359CPP = @CPP@
360CPPFLAGS = @CPPFLAGS@
361CXX = @CXX@
362CXXCPP = @CXXCPP@
363CXXDEPMODE = @CXXDEPMODE@
364CXXFLAGS = @CXXFLAGS@
365CYGPATH_W = @CYGPATH_W@
366DEFS = @DEFS@
367DEMANGLER = @DEMANGLER@
368DEPDIR = @DEPDIR@
369DLLTOOL = @DLLTOOL@
370DRIVER_DIR = @DRIVER_DIR@
371DSYMUTIL = @DSYMUTIL@
372DUMPBIN = @DUMPBIN@
373ECHO_C = @ECHO_C@
374ECHO_N = @ECHO_N@
375ECHO_T = @ECHO_T@
376EGREP = @EGREP@
377EXEEXT = @EXEEXT@
378FGREP = @FGREP@
379GREP = @GREP@
380HAS_DISTCC = @HAS_DISTCC@
381HOST_FLAGS = @HOST_FLAGS@
382INSTALL = @INSTALL@
383INSTALL_DATA = @INSTALL_DATA@
384INSTALL_PROGRAM = @INSTALL_PROGRAM@
385INSTALL_SCRIPT = @INSTALL_SCRIPT@
386INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
387LD = @LD@
388LDFLAGS = @LDFLAGS@
389LEX = @LEX@
390LEXLIB = @LEXLIB@
391LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
392LIBCFA_TARGET_DIRS = @LIBCFA_TARGET_DIRS@
393LIBCFA_TARGET_MAKEFILES = @LIBCFA_TARGET_MAKEFILES@
394LIBDEMANGLE = @LIBDEMANGLE@
395LIBOBJS = @LIBOBJS@
396LIBS = @LIBS@
397LIBTOOL = @LIBTOOL@
398LIPO = @LIPO@
399LN_S = @LN_S@
400LTLIBOBJS = @LTLIBOBJS@
401LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
402MAKEINFO = @MAKEINFO@
403MANIFEST_TOOL = @MANIFEST_TOOL@
404MKDIR_P = @MKDIR_P@
405NM = @NM@
406NMEDIT = @NMEDIT@
407OBJDUMP = @OBJDUMP@
408OBJEXT = @OBJEXT@
409OTOOL = @OTOOL@
410OTOOL64 = @OTOOL64@
411PACKAGE = @PACKAGE@
412PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
413PACKAGE_NAME = @PACKAGE_NAME@
414PACKAGE_STRING = @PACKAGE_STRING@
415PACKAGE_TARNAME = @PACKAGE_TARNAME@
416PACKAGE_URL = @PACKAGE_URL@
417PACKAGE_VERSION = @PACKAGE_VERSION@
418PATH_SEPARATOR = @PATH_SEPARATOR@
419RANLIB = @RANLIB@
420SED = @SED@
421SET_MAKE = @SET_MAKE@
422SHELL = @SHELL@
423STRIP = @STRIP@
424TARGET_HOSTS = @TARGET_HOSTS@
425VERSION = @VERSION@
426YACC = @YACC@
427YFLAGS = @YFLAGS@
428abs_builddir = @abs_builddir@
429abs_srcdir = @abs_srcdir@
430abs_top_builddir = @abs_top_builddir@
431abs_top_srcdir = @abs_top_srcdir@
432ac_ct_AR = @ac_ct_AR@
433ac_ct_CC = @ac_ct_CC@
434ac_ct_CXX = @ac_ct_CXX@
435ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
436am__include = @am__include@
437am__leading_dot = @am__leading_dot@
438am__quote = @am__quote@
439am__tar = @am__tar@
440am__untar = @am__untar@
441bindir = @bindir@
442build = @build@
443build_alias = @build_alias@
444build_cpu = @build_cpu@
445build_os = @build_os@
446build_vendor = @build_vendor@
447builddir = @builddir@
448datadir = @datadir@
449datarootdir = @datarootdir@
450docdir = @docdir@
451dvidir = @dvidir@
452exec_prefix = @exec_prefix@
453host = @host@
454host_alias = @host_alias@
455host_cpu = @host_cpu@
456host_os = @host_os@
457host_vendor = @host_vendor@
458htmldir = @htmldir@
459includedir = @includedir@
460infodir = @infodir@
461install_sh = @install_sh@
462libdir = @libdir@
463libexecdir = @libexecdir@
464localedir = @localedir@
465localstatedir = @localstatedir@
466mandir = @mandir@
467mkdir_p = @mkdir_p@
468oldincludedir = @oldincludedir@
469pdfdir = @pdfdir@
470prefix = @prefix@
471program_transform_name = @program_transform_name@
472psdir = @psdir@
473runstatedir = @runstatedir@
474sbindir = @sbindir@
475sharedstatedir = @sharedstatedir@
476srcdir = @srcdir@
477sysconfdir = @sysconfdir@
478target_alias = @target_alias@
479top_build_prefix = @top_build_prefix@
480top_builddir = @top_builddir@
481top_srcdir = @top_srcdir@
482AUTOMAKE_OPTIONS = foreign    # do not require all the GNU file names
483ACLOCAL_AMFLAGS = -I automake
484CFACOMPILE = $(CFACC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CFAFLAGS) $(CFAFLAGS) $(AM_CFLAGS) $(CFLAGS)
485LTCFACOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
486        $(LIBTOOLFLAGS) --mode=compile $(CFACC) $(DEFS) \
487        $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CFAFLAGS) $(CFAFLAGS) \
488        $(AM_CFLAGS) $(CFLAGS)
489
490AM_V_CFA = $(am__v_CFA_@AM_V@)
491am__v_CFA_ = $(am__v_CFA_@AM_DEFAULT_V@)
492am__v_CFA_0 = @echo "  CFA     " $@;
493am__v_CFA_1 =
494AM_V_JAVAC = $(am__v_JAVAC_@AM_V@)
495am__v_JAVAC_ = $(am__v_JAVAC_@AM_DEFAULT_V@)
496am__v_JAVAC_0 = @echo "  JAVAC   " $@;
497am__v_JAVAC_1 =
498AM_V_GOC = $(am__v_GOC_@AM_V@)
499am__v_GOC_ = $(am__v_GOC_@AM_DEFAULT_V@)
500am__v_GOC_0 = @echo "  GOC     " $@;
501am__v_GOC_1 =
502UPPCC = u++
503UPPCOMPILE = $(UPPCC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_UPPFLAGS) $(UPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) $(AM_CFLAGS) $(CFLAGS)
504AM_V_UPP = $(am__v_UPP_@AM_V@)
505am__v_UPP_ = $(am__v_UPP_@AM_DEFAULT_V@)
506am__v_UPP_0 = @echo "  UPP     " $@;
507am__v_UPP_1 =
508repeats = 10
509max_time = 600
510preempt = 10ul\`ms
511debug = -debug
512type = LONG
513REPEAT = $(abs_top_builddir)/tools/repeat
514WATCHDOG = $(abs_top_builddir)/tools/watchdog
515TIME = /usr/bin/time -f "%E"
516UPDATED_TYPE = $(shell $(srcdir)/update-type $(type))
517BUILD_FLAGS =
518AM_CFAFLAGS = \
519        -g \
520        -Wall \
521        -Wno-unused-function \
522        -quiet \
523        -O2 \
524        -DPREEMPTION_RATE=$(preempt) \
525        -I$(abs_top_srcdir)/tests \
526        -I$(srcdir) \
527        -DTEST_$(shell cat .type | tr a-z A-Z) \
528        -in-tree
529
530TESTS = block coroutine create disjoint enter enter3 processor stack wait yield
531all: all-am
532
533.SUFFIXES:
534.SUFFIXES: .cfa .lo .log .o .test .test$(EXEEXT) .trs
535$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/src/cfa.make $(am__configure_deps)
536        @for dep in $?; do \
537          case '$(am__configure_deps)' in \
538            *$$dep*) \
539              ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
540                && { if test -f $@; then exit 0; else break; fi; }; \
541              exit 1;; \
542          esac; \
543        done; \
544        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign longrun_tests/Makefile'; \
545        $(am__cd) $(top_srcdir) && \
546          $(AUTOMAKE) --foreign longrun_tests/Makefile
547Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
548        @case '$?' in \
549          *config.status*) \
550            cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
551          *) \
552            echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
553            cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
554        esac;
555$(top_srcdir)/src/cfa.make $(am__empty):
556
557$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
558        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
559
560$(top_srcdir)/configure:  $(am__configure_deps)
561        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
562$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
563        cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
564$(am__aclocal_m4_deps):
565
566mostlyclean-libtool:
567        -rm -f *.lo
568
569clean-libtool:
570        -rm -rf .libs _libs
571tags TAGS:
572
573ctags CTAGS:
574
575cscope cscopelist:
576
577
578# Recover from deleted '.trs' file; this should ensure that
579# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
580# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
581# to avoid problems with "make -n".
582.log.trs:
583        rm -f $< $@
584        $(MAKE) $(AM_MAKEFLAGS) $<
585
586# Leading 'am--fnord' is there to ensure the list of targets does not
587# expand to empty, as could happen e.g. with make check TESTS=''.
588am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
589am--force-recheck:
590        @:
591
592$(TEST_SUITE_LOG): $(TEST_LOGS)
593        @$(am__set_TESTS_bases); \
594        am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
595        redo_bases=`for i in $$bases; do \
596                      am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
597                    done`; \
598        if test -n "$$redo_bases"; then \
599          redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
600          redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
601          if $(am__make_dryrun); then :; else \
602            rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
603          fi; \
604        fi; \
605        if test -n "$$am__remaking_logs"; then \
606          echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
607               "recursion detected" >&2; \
608        elif test -n "$$redo_logs"; then \
609          am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
610        fi; \
611        if $(am__make_dryrun); then :; else \
612          st=0;  \
613          errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
614          for i in $$redo_bases; do \
615            test -f $$i.trs && test -r $$i.trs \
616              || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
617            test -f $$i.log && test -r $$i.log \
618              || { echo "$$errmsg $$i.log" >&2; st=1; }; \
619          done; \
620          test $$st -eq 0 || exit 1; \
621        fi
622        @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
623        ws='[   ]'; \
624        results=`for b in $$bases; do echo $$b.trs; done`; \
625        test -n "$$results" || results=/dev/null; \
626        all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
627        pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
628        fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
629        skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
630        xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
631        xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
632        error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
633        if test `expr $$fail + $$xpass + $$error` -eq 0; then \
634          success=true; \
635        else \
636          success=false; \
637        fi; \
638        br='==================='; br=$$br$$br$$br$$br; \
639        result_count () \
640        { \
641            if test x"$$1" = x"--maybe-color"; then \
642              maybe_colorize=yes; \
643            elif test x"$$1" = x"--no-color"; then \
644              maybe_colorize=no; \
645            else \
646              echo "$@: invalid 'result_count' usage" >&2; exit 4; \
647            fi; \
648            shift; \
649            desc=$$1 count=$$2; \
650            if test $$maybe_colorize = yes && test $$count -gt 0; then \
651              color_start=$$3 color_end=$$std; \
652            else \
653              color_start= color_end=; \
654            fi; \
655            echo "$${color_start}# $$desc $$count$${color_end}"; \
656        }; \
657        create_testsuite_report () \
658        { \
659          result_count $$1 "TOTAL:" $$all   "$$brg"; \
660          result_count $$1 "PASS: " $$pass  "$$grn"; \
661          result_count $$1 "SKIP: " $$skip  "$$blu"; \
662          result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
663          result_count $$1 "FAIL: " $$fail  "$$red"; \
664          result_count $$1 "XPASS:" $$xpass "$$red"; \
665          result_count $$1 "ERROR:" $$error "$$mgn"; \
666        }; \
667        {                                                               \
668          echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
669            $(am__rst_title);                                           \
670          create_testsuite_report --no-color;                           \
671          echo;                                                         \
672          echo ".. contents:: :depth: 2";                               \
673          echo;                                                         \
674          for b in $$bases; do echo $$b; done                           \
675            | $(am__create_global_log);                                 \
676        } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
677        mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
678        if $$success; then                                              \
679          col="$$grn";                                                  \
680         else                                                           \
681          col="$$red";                                                  \
682          test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
683        fi;                                                             \
684        echo "$${col}$$br$${std}";                                      \
685        echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
686        echo "$${col}$$br$${std}";                                      \
687        create_testsuite_report --maybe-color;                          \
688        echo "$$col$$br$$std";                                          \
689        if $$success; then :; else                                      \
690          echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
691          if test -n "$(PACKAGE_BUGREPORT)"; then                       \
692            echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
693          fi;                                                           \
694          echo "$$col$$br$$std";                                        \
695        fi;                                                             \
696        $$success || exit 1
697
698check-TESTS:
699        @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
700        @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
701        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
702        @set +e; $(am__set_TESTS_bases); \
703        log_list=`for i in $$bases; do echo $$i.log; done`; \
704        trs_list=`for i in $$bases; do echo $$i.trs; done`; \
705        log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
706        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
707        exit $$?;
708recheck: all
709        @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
710        @set +e; $(am__set_TESTS_bases); \
711        bases=`for i in $$bases; do echo $$i; done \
712                 | $(am__list_recheck_tests)` || exit 1; \
713        log_list=`for i in $$bases; do echo $$i.log; done`; \
714        log_list=`echo $$log_list`; \
715        $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
716                am__force_recheck=am--force-recheck \
717                TEST_LOGS="$$log_list"; \
718        exit $$?
719block.log: block
720        @p='block'; \
721        b='block'; \
722        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
723        --log-file $$b.log --trs-file $$b.trs \
724        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
725        "$$tst" $(AM_TESTS_FD_REDIRECT)
726coroutine.log: coroutine
727        @p='coroutine'; \
728        b='coroutine'; \
729        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
730        --log-file $$b.log --trs-file $$b.trs \
731        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
732        "$$tst" $(AM_TESTS_FD_REDIRECT)
733create.log: create
734        @p='create'; \
735        b='create'; \
736        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
737        --log-file $$b.log --trs-file $$b.trs \
738        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
739        "$$tst" $(AM_TESTS_FD_REDIRECT)
740disjoint.log: disjoint
741        @p='disjoint'; \
742        b='disjoint'; \
743        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
744        --log-file $$b.log --trs-file $$b.trs \
745        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
746        "$$tst" $(AM_TESTS_FD_REDIRECT)
747enter.log: enter
748        @p='enter'; \
749        b='enter'; \
750        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
751        --log-file $$b.log --trs-file $$b.trs \
752        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
753        "$$tst" $(AM_TESTS_FD_REDIRECT)
754enter3.log: enter3
755        @p='enter3'; \
756        b='enter3'; \
757        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
758        --log-file $$b.log --trs-file $$b.trs \
759        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
760        "$$tst" $(AM_TESTS_FD_REDIRECT)
761processor.log: processor
762        @p='processor'; \
763        b='processor'; \
764        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
765        --log-file $$b.log --trs-file $$b.trs \
766        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
767        "$$tst" $(AM_TESTS_FD_REDIRECT)
768stack.log: stack
769        @p='stack'; \
770        b='stack'; \
771        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
772        --log-file $$b.log --trs-file $$b.trs \
773        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
774        "$$tst" $(AM_TESTS_FD_REDIRECT)
775wait.log: wait
776        @p='wait'; \
777        b='wait'; \
778        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
779        --log-file $$b.log --trs-file $$b.trs \
780        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
781        "$$tst" $(AM_TESTS_FD_REDIRECT)
782yield.log: yield
783        @p='yield'; \
784        b='yield'; \
785        $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
786        --log-file $$b.log --trs-file $$b.trs \
787        $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
788        "$$tst" $(AM_TESTS_FD_REDIRECT)
789.test.log:
790        @p='$<'; \
791        $(am__set_b); \
792        $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
793        --log-file $$b.log --trs-file $$b.trs \
794        $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
795        "$$tst" $(AM_TESTS_FD_REDIRECT)
796@am__EXEEXT_TRUE@.test$(EXEEXT).log:
797@am__EXEEXT_TRUE@       @p='$<'; \
798@am__EXEEXT_TRUE@       $(am__set_b); \
799@am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
800@am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
801@am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
802@am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
803
804distdir: $(DISTFILES)
805        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
806        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
807        list='$(DISTFILES)'; \
808          dist_files=`for file in $$list; do echo $$file; done | \
809          sed -e "s|^$$srcdirstrip/||;t" \
810              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
811        case $$dist_files in \
812          */*) $(MKDIR_P) `echo "$$dist_files" | \
813                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
814                           sort -u` ;; \
815        esac; \
816        for file in $$dist_files; do \
817          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
818          if test -d $$d/$$file; then \
819            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
820            if test -d "$(distdir)/$$file"; then \
821              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
822            fi; \
823            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
824              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
825              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
826            fi; \
827            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
828          else \
829            test -f "$(distdir)/$$file" \
830            || cp -p $$d/$$file "$(distdir)/$$file" \
831            || exit 1; \
832          fi; \
833        done
834check-am: all-am
835        $(MAKE) $(AM_MAKEFLAGS) check-TESTS
836check: check-am
837all-am: Makefile all-local
838installdirs:
839install: install-am
840install-exec: install-exec-am
841install-data: install-data-am
842uninstall: uninstall-am
843
844install-am: all-am
845        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
846
847installcheck: installcheck-am
848install-strip:
849        if test -z '$(STRIP)'; then \
850          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
851            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
852              install; \
853        else \
854          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
855            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
856            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
857        fi
858mostlyclean-generic:
859        -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
860        -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
861        -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
862
863clean-generic:
864
865distclean-generic:
866        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
867        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
868
869maintainer-clean-generic:
870        @echo "This command is intended for maintainers to use"
871        @echo "it deletes files that may require special tools to rebuild."
872clean: clean-am
873
874clean-am: clean-generic clean-libtool clean-local mostlyclean-am
875
876distclean: distclean-am
877        -rm -f Makefile
878distclean-am: clean-am distclean-generic
879
880dvi: dvi-am
881
882dvi-am:
883
884html: html-am
885
886html-am:
887
888info: info-am
889
890info-am:
891
892install-data-am:
893
894install-dvi: install-dvi-am
895
896install-dvi-am:
897
898install-exec-am:
899
900install-html: install-html-am
901
902install-html-am:
903
904install-info: install-info-am
905
906install-info-am:
907
908install-man:
909
910install-pdf: install-pdf-am
911
912install-pdf-am:
913
914install-ps: install-ps-am
915
916install-ps-am:
917
918installcheck-am:
919
920maintainer-clean: maintainer-clean-am
921        -rm -f Makefile
922maintainer-clean-am: distclean-am maintainer-clean-generic
923
924mostlyclean: mostlyclean-am
925
926mostlyclean-am: mostlyclean-generic mostlyclean-libtool
927
928pdf: pdf-am
929
930pdf-am:
931
932ps: ps-am
933
934ps-am:
935
936uninstall-am:
937
938.MAKE: check-am install-am install-strip
939
940.PHONY: all all-am all-local check check-TESTS check-am clean \
941        clean-generic clean-libtool clean-local cscopelist-am ctags-am \
942        distclean distclean-generic distclean-libtool distdir dvi \
943        dvi-am html html-am info info-am install install-am \
944        install-data install-data-am install-dvi install-dvi-am \
945        install-exec install-exec-am install-html install-html-am \
946        install-info install-info-am install-man install-pdf \
947        install-pdf-am install-ps install-ps-am install-strip \
948        installcheck installcheck-am installdirs maintainer-clean \
949        maintainer-clean-generic mostlyclean mostlyclean-generic \
950        mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
951        uninstall uninstall-am
952
953.PRECIOUS: Makefile
954
955
956.cfa.o:
957        $(AM_V_CFA)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
958        $(CFACOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
959        $(am__mv) $$depbase.Tpo $$depbase.Po
960
961.cfa.lo:
962        $(AM_V_CFA)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
963        $(LTCFACOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
964        $(am__mv) $$depbase.Tpo $$depbase.Plo
965
966# .INTERMEDIATE: $(TESTS)
967
968all-local: $(TESTS:=.run)
969
970runall : $(TESTS:=.run)
971        @ echo "All programs terminated normally"
972
973watchall : $(TESTS:=.watch)
974        @ echo "All programs terminated normally"
975
976compileall : $(TESTS)
977        @ echo "Compiled"
978
979clean-local:
980        rm -f $(TESTS) core* out.log .type
981
982% : %.cfa $(CFACC) $(UPDATED_TYPE)
983        $(AM_V_CFA)$(CFACOMPILE) $(<) $(debug) -o $(@)
984
985%.run : % $(REPEAT)
986        @ time $(REPEAT) -r out.log -i -s $(repeats) timeout $(max_time) ./$(<)
987        @ rm $(<)
988        @ echo -e "$(<): SUCCESS\n"
989
990%.watch : % $(WATCHDOG)
991        @ time $(WATCHDOG} ./$(<)
992        @ rm $(<)
993        @ echo -e "$(<): SUCCESS\n"
994
995%.time : % $(REPEAT)
996        @ $(REPEAT) -i -s -- $(repeats) $(TIME) -a -o times.log ./$(<)
997        @ rm $(<)
998        @ echo -e "$(<): SUCCESS\n"
999
1000$(REPEAT): $(abs_top_builddir)/tools/Makefile
1001        @+make -C $(abs_top_builddir)/tools/
1002
1003$(WATCHDOG): $(abs_top_builddir)/tools/Makefile
1004        @+make -C $(abs_top_builddir)/tools/
1005
1006# Tell versions [3.59,3.63) of GNU make to not export all variables.
1007# Otherwise a system limit (for SysV at least) may be exceeded.
1008.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.